Bug 248575 - www/otrs: Add missing math/p5-Math-Random-Secure dependency
Summary: www/otrs: Add missing math/p5-Math-Random-Secure dependency
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Wen Heping
URL:
Keywords: needs-patch, needs-qa
Depends on:
Blocks: 248577
  Show dependency treegraph
 
Reported: 2020-08-10 13:32 UTC by vvv
Modified: 2020-10-20 06:23 UTC (History)
4 users (show)

See Also:
m.tsatsenko: maintainer-feedback+
koobs: merge-quarterly?


Attachments
New dependency - p5-Math-Random-Secure (488 bytes, patch)
2020-08-17 09:46 UTC, vvv
no flags Details | Diff
New dependency - p5-Math-Random-Secure v2 (637 bytes, patch)
2020-08-20 08:54 UTC, vvv
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description vvv 2020-08-10 13:32:29 UTC
Hello,

www/otrs is missing port math/p5-Math-Random-Secure. It's directly used in Kernel/System/Main.pm.
Comment 1 m.tsatsenko 2020-08-16 16:58:22 UTC
Hello,
Thanks for reporting this. Can you please submit a patch to address the issue?
Comment 2 vvv 2020-08-17 09:46:20 UTC
Created attachment 217278 [details]
New dependency - p5-Math-Random-Secure
Comment 3 m.tsatsenko 2020-08-19 22:40:30 UTC
Thanks for the patch, but I think PORTREVISION has to be bumped as the change affects package as well.
Comment 4 vvv 2020-08-20 08:54:04 UTC
Created attachment 217367 [details]
New dependency - p5-Math-Random-Secure v2
Comment 5 m.tsatsenko 2020-08-21 22:26:59 UTC
Comment on attachment 217367 [details]
New dependency - p5-Math-Random-Secure v2

Approved.
Thanks!
Comment 6 commit-hook freebsd_committer 2020-10-20 06:20:50 UTC
A commit references this bug:

Author: wen
Date: Tue Oct 20 06:20:35 UTC 2020
New revision: 552797
URL: https://svnweb.freebsd.org/changeset/ports/552797

Log:
  - Add missing DEPENDS

  PR:		248575
  Submitted by:	work+freebsd@vvv.kiev.ua
  Approved by:	maintainer

Changes:
  head/www/otrs/Makefile
Comment 7 Wen Heping freebsd_committer 2020-10-20 06:23:13 UTC
6.0.30 released just now :)